Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImagePermute Class Reference

`#include <vtkImagePermute.h>`

Inheritance diagram for vtkImagePermute:

[legend]
Collaboration diagram for vtkImagePermute:

[legend]
List of all members.

## Detailed Description

Permutes axes of input.

vtkImagePermute reorders the axes of the input. Filtered axes specify the input axes which become X, Y, Z. The input has to have the same scalar type of the output. The filter does copy the data when it executes. This filter is actually a very thin wrapper around vtkImageReslice.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (43%)
  - Martin, Ken (30%)
  - Gobbi, David (16%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImagePermute.cxx)`
  - .`h` (`/Imaging/vtkImagePermute.h)`

Tests:
  vtkImagePermute (Tests)

Definition at line 47 of file vtkImagePermute.h.

## Public Types
typedef vtkImageReslice | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetFilteredAxes (int x, int y, int z)
void | SetFilteredAxes (const int xyz[3])
virtual int * | GetFilteredAxes ()
virtual void | GetFilteredAxes (int &, int &, int &)
virtual void | GetFilteredAxes (int[3])
## Static Public Methods
vtkImagePermute * | New ()
int | IsTypeOf (const char *type)
vtkImagePermute * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImagePermute ()
| ~vtkImagePermute ()
## Protected Attributes
int | FilteredAxes [3]

## Member Typedef Documentation

typedef vtkImageReslice vtkImagePermute::Superclass

| Reimplemented from vtkImageReslice. Definition at line 51 of file vtkImagePermute.h.

## Constructor & Destructor Documentation

vtkImagePermute::vtkImagePermute | ( |  | ) | `[protected]`

vtkImagePermute::~vtkImagePermute | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkImagePermute.h.

## Member Function Documentation

vtkImagePermute* vtkImagePermute::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReslice.

virtual const char* vtkImagePermute::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReslice.

int vtkImagePermute::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReslice.

virtual int vtkImagePermute::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReslice.

vtkImagePermute* vtkImagePermute::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReslice.

void vtkImagePermute::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReslice.

void vtkImagePermute::SetFilteredAxes | ( | int | x,
|  | int | y,
|  | int | z
| ) |

| The filtered axes are the input axes that get relabeled to X,Y,Z.

void vtkImagePermute::SetFilteredAxes | ( | const int | xyz[3] | ) | `[inline]`

| The filtered axes are the input axes that get relabeled to X,Y,Z. Definition at line 58 of file vtkImagePermute.h.

virtual int* vtkImagePermute::GetFilteredAxes | ( |  | ) | `[virtual]`

| The filtered axes are the input axes that get relabeled to X,Y,Z.

virtual void vtkImagePermute::GetFilteredAxes | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| The filtered axes are the input axes that get relabeled to X,Y,Z.

virtual void vtkImagePermute::GetFilteredAxes | ( | int | [3] | ) | `[virtual]`

| The filtered axes are the input axes that get relabeled to X,Y,Z.

## Member Data Documentation

int vtkImagePermute::FilteredAxes[3]`[protected]`

| Definition at line 67 of file vtkImagePermute.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImagePermute.h